 program stnmap
 implicit none
 integer :: i,j,k
 integer,parameter :: n_station=10,phase=3
 integer :: nlev,nflag,sta_id_int(n_station)
 character*8 :: sn
 character(len=20) :: rev1,rev2,rev3,char_lat(n_station),char_lon(n_station),mon_year,char_prob(phase,n_station)&
                      ,sta_id_cha(n_station)
 real :: prob(phase,n_station)
 real(4) :: x,time
 real :: lat(n_station),lon(n_station),lat1,lon1,prob1

 open(unit=1,file='prob-fore.txt',status='old')
 read(1,FMT=*)
 read(1,FMT=*)
do i=1,phase
 read(1,FMT=*)
 read(1,FMT=*)
 read(1,FMT='(A6,10A17)')rev2,(char_lat(j),j=1,n_station)
 read(1,FMT='(A6,10A17)')rev3,(char_lon(j),j=1,n_station)
 read(1,FMT='(A7,10A17)')mon_year,(char_prob(i,j),j=1,n_station)
enddo
 close(1)
! print*,char_prob(1,29)
 
sta_id_int(1)=1
do i=1,n_station-1
    sta_id_int(i+1)=sta_id_int(i)+1
enddo

do i=1,n_station 
    read(char_lat(i),FMT=*)lat(i)
    read(char_lon(i),FMT=*)lon(i)
    write(sta_id_cha(i),FMT='(I2.2)')sta_id_int(i)
 do j=1,phase
    read(char_prob(j,i),FMT=*)prob(j,i) 
 enddo
enddo

! print*,rev2,char_lat(60)
! print*,rev3,char_lon(60)
! print*,rev1,sta_id_cha(11)
! print*,char_prob(3,60)
! print*,prob(1,60)


!open(1,file='thu.txt',status='unknown')
open(1,file='temp.bin',form='unformatted',status='unknown',access='stream')
do j=1,phase
 time=0
 nlev=1
 nflag=1
do i=1,n_station
    sn=sta_id_cha(i)
    lat1=lat(i)
    lon1=lon(i)
    prob1=prob(j,i)
!   write(2,'(a5,2x,f5.2,2x,f6.2,2x,f3.1,2x,i2,1x,i2,2x,f6.2,1x,f6.2)') sn,lat1,lon1,time,nlev,nflag,ttb
   write(1) sn,lat1,lon1,time,nlev,nflag
   write(1) prob1
enddo
   nlev=0
   write(1) sn,lat1,lon1,time,nlev,nflag
!   write(2,'(a5,2x,f5.2,2x,f6.2,2x,f3.1,2x,i2,1x,i2,2x,f6.2,1x,f6.2)') sn,lat1,lon1,time,nlev,nflag,ttb
enddo
close(1)
!close(2)
  
stop 'normal terminal'
end 